## org.metaabm
Interface IAttributeClient

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

    public interface IAttributeClient

extends IID

A representation of the model object ' IAttribute Client'.

Author:
  Miles Parker *

  The following features are supported:

  - `Attribute`
See Also:
  `org.metaabmPackage#getIAttributeClient()`

Method Summary
`SAttribute` `getAttribute()` Returns the value of the 'Attribute' reference.
`void` `setAttribute(SAttribute value)` Sets the value of the '`Attribute`' reference.

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAttribute

    SAttribute getAttribute()

  Returns the value of the 'Attribute' reference. It is bidirectional and its opposite is ' `Accessors`'.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(SAttribute)`, `org.metaabmPackage#getIAttributeClient_Attribute()`, `IValue.getAccessors()`

### setAttribute

    void setAttribute(SAttribute value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`